bind_host: ""
bind_port: {{ adguard_internal_http_port }}
users:
- name: {{ adguardhome_user }}
  password: {{ adguardhome_pass }}
dns:
  # bind_hosts:
  # - 192.168.1.1
  port: {{ adguardhome_dns_port }}
  statistics_interval: 1
  querylog_enabled: true
  querylog_file_enabled: true
  querylog_interval: 720h
  querylog_size_memory: 1000
  anonymize_client_ip: false
  protection_enabled: true
  blocking_mode: nxdomain
  blocking_ipv4: ""
  blocking_ipv6: ""
  blocked_response_ttl: 300
  parental_block_host: family-block.dns.adguard.com
  safebrowsing_block_host: standard-block.dns.adguard.com
  ratelimit: 0
  ratelimit_whitelist: []
  refuse_any: false
  upstream_dns:
{% for id in upstream_servers %}
  - {{ id }}
{% endfor %}
  # upstream_dns_file: ""
  # bootstrap_dns:
  # - 192.168.1.1
  all_servers: false
  fastest_addr: false
  fastest_timeout: 1s
  allowed_clients:
  - 192.168.1.0/24
  - 127.0.0.1/32
  disallowed_clients: []
  blocked_hosts:
  - hostname.bind
  trusted_proxies:
  - 127.0.0.0/8
  - ::1/128
  cache_size: 16777216
  cache_ttl_min: 600
  cache_ttl_max: 86400
  cache_optimistic: true
  bogus_nxdomain: []
  aaaa_disabled: false
  enable_dnssec: false
  edns_client_subnet: false
  max_goroutines: 300
  ipset: []
  filtering_enabled: true
  filters_update_interval: 24
  parental_enabled: false
  safesearch_enabled: false
  safebrowsing_enabled: false
  safebrowsing_cache_size: 1048576
  safesearch_cache_size: 1048576
  parental_cache_size: 1048576
  cache_time: 30
  # rewrites:
  # - domain: xtbg.gdzwfw.gov.cn
  #   answer: 19.15.0.77
  # - domain: xtbgsafe.gdzwfw.gov.cn
  #   answer: 19.15.0.77
  # - domain: mail.huadu.gov.cn
  #   answer: 192.168.102.17
  blocked_services: []
  upstream_timeout: 10s
  private_networks: []
  use_private_ptr_resolvers: true
  local_ptr_upstreams: []
tls:
  enabled: false
  server_name: ""
  force_https: false
  port_https: 443
  port_dns_over_tls: {{ adguardhome_dns_over_tls_port }}
  port_dns_over_quic: {{ adguardhome_dns_over_quic_port }}
  port_dnscrypt: {{ adguardhome_dnscrypt_port }}
  dnscrypt_config_file: "{{ adguardhome_dnscrypt_config_path }}"
  allow_unencrypted_doh: false
  strict_sni_check: false
  certificate_chain: ""
  private_key: ""
  certificate_path: ""
  private_key_path: ""
filters:
{# FIXME: turn the following list into Ansible dictionay in defaults #}
{# https://firebog.net/ #}
- url: https://adguardteam.github.io/AdGuardSDNSFilter/Filters/filter.txt
  name: AdGuard Simplified Domain Names filter
  enabled: true
- url: https://adaway.org/hosts.txt
  name: AdAway
  enabled: false
- url: https://hosts-file.net/ad_servers.txt
  name: hpHosts - Ad and Tracking servers only
  enabled: false
- url: http://www.malwaredomainlist.com/hostslist/hosts.txt
  name: MalwareDomainList.com Hosts List
  enabled: true
- url: https://tspprs.com/dl/cl1
  name: Block List Project — CL1
  enabled: false
- url: https://raw.githubusercontent.com/crazy-max/WindowsSpyBlocker/master/data/hosts/spy.txt
  name: crazy-max/WindowsSpyBlocker
  enabled: true
- url: https://raw.githubusercontent.com/Perflyst/PiHoleBlocklist/master/SmartTV.txt
  name: Perflyst/PiHoleBlocklist — Smart TV
  enabled: true
- url: https://raw.githubusercontent.com/Perflyst/PiHoleBlocklist/master/android-tracking.txt
  name: Perflyst/PiHoleBlocklist — Android Tracking
  enabled: true
- url: https://zerodot1.gitlab.io/CoinBlockerLists/hosts
  name: CoinBlockerLists
  enabled: true
- url: https://www.dshield.org/feeds/suspiciousdomains_Low.txt
  name: DShield.org Suspicious Domain List
  enabled: true
- url: https://www.fanboy.co.nz/fanboy-problematic-sites.txt
  name: Fanboy's problematic-sites
  enabled: true
- url: https://easylist-downloads.adblockplus.org/fanboy-annoyance.txt
  name: Fanboy's Annoyance List
  enabled: true
- url: https://raw.githubusercontent.com/r4vi/block-the-eu-cookie-shit-list/master/filterlist.txt
  name: Block-EU-Cookie-Shit-List
  enabled: true
whitelist_filters: []
user_rules:
{% for domain in adguard_home_allow %}
- '@@||{{ domain }}^'
- 'analytics.twitter.com'
{% endfor %}
{% for domain in adguard_home_deny %}
- '||{{ domain }}^'
{% endfor %}

# https://github.com/AdguardTeam/AdGuardHome/wiki/DHCP
dhcp:
  enabled: false
  interface_name: ""
  local_domain_name: lan
  dhcpv4:
    gateway_ip: ""
    subnet_mask: ""
    range_start: ""
    range_end: ""
    lease_duration: 86400
    icmp_timeout_msec: 1000
    options: []
  dhcpv6:
    range_start: ""
    lease_duration: 86400
    ra_slaac_only: false
    ra_allow_slaac: false
clients:
  runtime_sources:
    whois: true
    arp: true
    rdns: true
    dhcp: true
    hosts: true
  persistent: []
log_compress: true
log_localtime: true
log_max_backups: 1
log_max_size: 100
log_max_age: 3
log_file: ""
verbose: false
os:
  ansible.builtin.group: ""
  ansible.builtin.user: ""
  rlimit_nofile: 1048576
schema_version: 14
